@charset "utf-8";

/* ======== ヘッダー ======== */
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

/* ======== HOME-メインビジュアル ======== */
.main-visual-container {
  width: 100%;
  height: 100dvh;
  overflow-x: hidden;
}

.main-visual {
  width: 100%;
  height: 100dvh;
  position: relative;
  overflow: hidden;
}

.background {
  width: 120%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  background-image: url("../image/mv-1.jpg");
  background-size: cover;
  background-position: center;
  filter: blur(10px);
  transition: opacity 1s ease-in-out, background-image 0.7s ease-in-out;
  z-index: 111;
}

.background::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 30px;
  background: linear-gradient(to bottom, transparent 0%, white 100%);
}

.foreground {
  width: 66%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  transition: opacity 1s ease-in-out;
  z-index: 222;
}


/* ======== HOME-コンセプト ======== */
.concept {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 26px;
  padding: 160px 0;
  background-color: #fff;
}

.concept h2 {
  font-size: 30px;
  font-weight: normal;
  flex: 1;
}

.concept-txt {
  flex: 1.8;
}

.concept-txt p:last-child {
  padding-bottom: 0;
}


/* ======== HOME-News ======== */
.news-container {
  display: grid;
  background-color: var(--main-color);
  padding: 60px 70px;
}

.news-title-container {
  padding-bottom: 20px;
}

.news-item {
  padding: 14px 5px 14px 5px;
  border-bottom: solid 0.5px var(--pale-color);
}

.news-item:first-child {
  padding: 0px 5px 14px 5px;
}

.news-content {
  display: flex;
  flex-direction: row;
  gap: 15px;
}

.news-content time {
  font-weight: bold;
}

.news-content p {
  padding-bottom: 0;
}

.news-more {
  justify-self: end;
}

.news-more p {
  padding-top: 10px;
  padding-bottom: 0;
}

.arrow {
  display: inline-block;
  vertical-align: middle;
  line-height: 1;
  position: relative;
  width: 2em;
  height: 0.07em;
  background: currentColor;
}

.arrow::before {
  content: '';
  width: 0.55em;
  height: 0.55em;
  border: 0.1em solid currentColor;
  border-left: 0;
  border-bottom: 0;
  transform: rotate(45deg);
  transform-origin: top right;
  position: absolute;
  top: 50%;
  right: -0.05em;
  box-sizing: border-box;
}


/* ======== HOME-Gallery ======== */
.scroll-infinity {
  margin-top: 160px;
  width: 100%;
  overflow: hidden;
  position: relative;
}

.scroll-wrap {
  overflow: hidden;
}

.scroll-list {
  display: flex;
  flex-wrap: nowrap;
  width: max-content;
}

.scroll-item {
  width: calc(100vw / 5);
  flex-shrink: 0;
}

.scroll-item img {
  width: 100%;
  display: block;
}

.scroll-list--left {
  animation: scroll-left 60s linear infinite;
}

.scroll-list--right {
  animation: scroll-right 60s linear infinite;
}

@keyframes scroll-left {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

@keyframes scroll-right {
  0% {
    transform: translateX(-50%);
  }
  100% {
    transform: translateX(0);
  }
}


@media screen and (max-width: 1024px) {

  /* ======== HOME-メインビジュアル ======== */
  .main-visual-container {
    overflow-y: hidden;
  }

  .foreground {
    width: 100%;
    height: 60%;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
  }

  /* ======== HOME-コンセプト ======== */
  .concept {
  flex-direction: column;
  gap: 44px;
  padding: 120px 0;
  background-color: #fff;
  }

  .concept-txt {
    line-height: 2;
  }


  /* ======== HOME-Gallery ======== */
  .scroll-item {
    width: calc(100vw / 3);
  }
}


@media screen and (max-width: 767px) {

  /* ======== HOME-コンセプト ======== */
  .concept {
    gap: 30px;
    padding: 100px 0;
  }

  /* ======== HOME-News ======== */
  .news-container {
    padding: 40px 30px;
  }

  .news-content {
    flex-direction: column;
    gap: 3px;
  }

  .news-content time {
    font-size: 18px;
  }

  /* ======== HOME-Gallery ======== */
  .scroll-infinity {
    margin-top: 100px;
  }

  .scroll-item {
    width: calc(100vw / 2);
  }
}